import scala.io._
import java.net._
import org.json4s._
import org.json4s.native.JsonMethods._

object Application extends App {
  if(args.isEmpty) {
    println("Usage: twitsearch <query>")
    exit(1)
  }
  val query = URLEncoder.encode(args(0), "UTF-8")
  val url = "http://search.twitter.com/search.json?q=" + query
  val json = parse(Source.fromURL(url).mkString)
  (json \ "results" \ "text" \\ classOf[JString]).foreach(println)
}

